Package org.jboss.resteasy.client.jaxrs.internal

## Class CompletionStageRxInvokerImpl

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.CompletionStageRxInvokerImpl

- All Implemented Interfaces:
    `javax.ws.rs.client.CompletionStageRxInvoker`, `javax.ws.rs.client.RxInvoker<CompletionStage>`

      public class CompletionStageRxInvokerImpl
      extends Object
      implements javax.ws.rs.client.CompletionStageRxInvoker

  Author:
    Ron Sigal, Alessio Soldano

    Date March 9, 2016

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletionStageRxInvokerImpl​(javax.ws.rs.client.SyncInvoker builder)` |
    `CompletionStageRxInvokerImpl​(javax.ws.rs.client.SyncInvoker builder, ExecutorService executor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompletionStage<javax.ws.rs.core.Response>` | `delete()` |
    `<T> CompletionStage<T>` | `delete​(Class<T> responseType)` |
    `<T> CompletionStage<T>` | `delete​(javax.ws.rs.core.GenericType<T> responseType)` |
    `CompletionStage<javax.ws.rs.core.Response>` | `get()` |
    `<T> CompletionStage<T>` | `get​(Class<T> responseType)` |
    `<T> CompletionStage<T>` | `get​(javax.ws.rs.core.GenericType<T> responseType)` |
    `ExecutorService` | `getExecutor()` |
    `CompletionStage<javax.ws.rs.core.Response>` | `head()` |
    `CompletionStage<javax.ws.rs.core.Response>` | `method​(String name)` |
    `<T> CompletionStage<T>` | `method​(String name, Class<T> responseType)` |
    `CompletionStage<javax.ws.rs.core.Response>` | `method​(String name, javax.ws.rs.client.Entity<?> entity)` |
    `<T> CompletionStage<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> CompletionStage<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `<T> CompletionStage<T>` | `method​(String name, javax.ws.rs.core.GenericType<T> responseType)` |
    `CompletionStage<javax.ws.rs.core.Response>` | `options()` |
    `<T> CompletionStage<T>` | `options​(Class<T> responseType)` |
    `<T> CompletionStage<T>` | `options​(javax.ws.rs.core.GenericType<T> responseType)` |
    `CompletionStage<javax.ws.rs.core.Response>` | `patch​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> CompletionStage<T>` | `patch​(javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> CompletionStage<T>` | `patch​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `CompletionStage<javax.ws.rs.core.Response>` | `post​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> CompletionStage<T>` | `post​(javax.ws.rs.client.Entity<?> entity, Class<T> clazz)` |
    `<T> CompletionStage<T>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> type)` |
    `CompletionStage<javax.ws.rs.core.Response>` | `put​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> CompletionStage<T>` | `put​(javax.ws.rs.client.Entity<?> entity, Class<T> clazz)` |
    `<T> CompletionStage<T>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> type)` |
    `CompletionStage<javax.ws.rs.core.Response>` | `trace()` |
    `<T> CompletionStage<T>` | `trace​(Class<T> responseType)` |
    `<T> CompletionStage<T>` | `trace​(javax.ws.rs.core.GenericType<T> responseType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletionStageRxInvokerImpl

          public CompletionStageRxInvokerImpl​(javax.ws.rs.client.SyncInvoker builder)

    - #### CompletionStageRxInvokerImpl

          public CompletionStageRxInvokerImpl​(javax.ws.rs.client.SyncInvoker builder,
                                              ExecutorService executor)

  - ### Method Detail

    - #### get

          public CompletionStage<javax.ws.rs.core.Response> get()

      Specified by:
        `get` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### get

          public <T> CompletionStage<T> get​(Class<T> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### get

          public <T> CompletionStage<T> get​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### put

          public CompletionStage<javax.ws.rs.core.Response> put​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `put` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### put

          public <T> CompletionStage<T> put​(javax.ws.rs.client.Entity<?> entity,
                                            Class<T> clazz)

      Specified by:
        `put` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### put

          public <T> CompletionStage<T> put​(javax.ws.rs.client.Entity<?> entity,
                                            javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `put` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### post

          public CompletionStage<javax.ws.rs.core.Response> post​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `post` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### post

          public <T> CompletionStage<T> post​(javax.ws.rs.client.Entity<?> entity,
                                             Class<T> clazz)

      Specified by:
        `post` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### post

          public <T> CompletionStage<T> post​(javax.ws.rs.client.Entity<?> entity,
                                             javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `post` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### delete

          public CompletionStage<javax.ws.rs.core.Response> delete()

      Specified by:
        `delete` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### delete

          public <T> CompletionStage<T> delete​(Class<T> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### delete

          public <T> CompletionStage<T> delete​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### head

          public CompletionStage<javax.ws.rs.core.Response> head()

      Specified by:
        `head` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `head` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### options

          public CompletionStage<javax.ws.rs.core.Response> options()

      Specified by:
        `options` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### options

          public <T> CompletionStage<T> options​(Class<T> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### options

          public <T> CompletionStage<T> options​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### trace

          public CompletionStage<javax.ws.rs.core.Response> trace()

      Specified by:
        `trace` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### trace

          public <T> CompletionStage<T> trace​(Class<T> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### trace

          public <T> CompletionStage<T> trace​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### method

          public CompletionStage<javax.ws.rs.core.Response> method​(String name)

      Specified by:
        `method` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### method

          public <T> CompletionStage<T> method​(String name,
                                               Class<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### method

          public <T> CompletionStage<T> method​(String name,
                                               javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### method

          public CompletionStage<javax.ws.rs.core.Response> method​(String name,
                                                                   javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `method` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### method

          public <T> CompletionStage<T> method​(String name,
                                               javax.ws.rs.client.Entity<?> entity,
                                               Class<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### method

          public <T> CompletionStage<T> method​(String name,
                                               javax.ws.rs.client.Entity<?> entity,
                                               javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.CompletionStageRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<CompletionStage>`

    - #### getExecutor

          public ExecutorService getExecutor()

    - #### patch

          public CompletionStage<javax.ws.rs.core.Response> patch​(javax.ws.rs.client.Entity<?> entity)

    - #### patch

          public <T> CompletionStage<T> patch​(javax.ws.rs.client.Entity<?> entity,
                                              Class<T> responseType)

    - #### patch

          public <T> CompletionStage<T> patch​(javax.ws.rs.client.Entity<?> entity,
                                              javax.ws.rs.core.GenericType<T> responseType)